Package org.mozilla.javascript.tools.debugger

## Class Dim.ContextData

- java.lang.Object
- - org.mozilla.javascript.tools.debugger.Dim.ContextData

- Enclosing class:
    Dim

      public static class Dim.ContextData
      extends java.lang.Object

  Class to store information about a stack.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextData()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `frameCount()` | Returns the number of stack frames.
    `static Dim.ContextData` | `get​(Context cx)` | Returns the ContextData for the given Context.
    `Dim.StackFrame` | `getFrame​(int frameNumber)` | Returns the stack frame with the given index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextData

          public ContextData()

  - ### Method Detail

    - #### get

          public static Dim.ContextData get​(Context cx)

      Returns the ContextData for the given Context.

    - #### frameCount

          public int frameCount()

      Returns the number of stack frames.

    - #### getFrame

          public Dim.StackFrame getFrame​(int frameNumber)

      Returns the stack frame with the given index.